Upgrading broke my themes menu

This topic contains 1 reply, has 2 voices, and was last updated by  Sebastian 6 years ago.

Author Posts

victores

Notice: this information was written when Microthemer version 2 was current. On Dec 26th, 2014 version 3 was released with a completely new interface. Some of the information may be redundant, but as much of the functionality remains the same in version 3 we haven't deleted this post.

Hi I just bought, and upgraded to the last version
and I started getting a broken code in my top menu
Im getting this:

menu-itmenu-item-first em-last

menu-itmenu-item-first em-last

I ereased the plugin and went back to normal.

Thanks for your support


Sebastian

Hi there,

Thanks for providing the diagnostic info.Try this as a quick fix:

1. Re-install and activate Microthemer
2. Go to the Microthemer > Preferences page
3. Under the general preferences go to the option that says: Add “first” and “last” classes to Menus
4. Set this option to “No”.
5. Save your settings
6. That should fix the issue.

Microthemer tries to automatically add a first and last class to the first and last menu item of a WordPress menu as designers often need to apply slightly different styles to the first and last menu items. However, in your case this feature doesn’t seem to be compatible with your theme. What theme are you using by the way?

I hope that does indeed fix the issue. If it doesn’t please write back here and I will help you troubleshoot this further.

Many Thanks,

Sebastian

You must login or register to reply to this topic.